Bug Hunting Session
Bug 122657 - Converting .odt file to PDF contains fonts that are not in the .odf file
Summary: Converting .odt file to PDF contains fonts that are not in the .odf file
Status: RESOLVED DUPLICATE of bug 118541
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: PDF-Export
  Show dependency treegraph
 
Reported: 2019-01-11 16:25 UTC by cmflatscher
Modified: 2019-01-18 16:49 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Frist Writer file (328.93 KB, application/vnd.oasis.opendocument.text)
2019-01-12 23:59 UTC, cmflatscher
Details
Second Writer file (327.71 KB, application/vnd.oasis.opendocument.text)
2019-01-13 00:00 UTC, cmflatscher
Details
First PDF file created (953.91 KB, application/pdf)
2019-01-13 00:00 UTC, cmflatscher
Details
Second PDF file (958.72 KB, application/pdf)
2019-01-13 00:00 UTC, cmflatscher
Details

Note You need to log in before you can comment on or make changes to this bug.
Description cmflatscher 2019-01-11 16:25:17 UTC
Hi,

I have a LO Writer Document that contains a number of open source fonts including Google Noto fonts.

When I convert this .odt file to a PDF file then the resulting PDF file contains fonts that are not in the original .odt file.

It was observed in this set up:

Windows 10 Pro, Version 1803, Build 17134.523
LibreOffice 6.1.1.2
LibreOffice 6.2.0.2

Windows XP SP2 32-bit
LibreOffice 4.4.5.2

In Windows 10 the following fonts are automatically embedded:
Tahoma and Lucida Sans

I have unpacked the .odt file and searched the entire content for both fonts to no avail.

Please let me know what is required to solve this problem.

Please help solve this issue.

Thank you!

--Christian
Comment 1 Dieter Praas 2019-01-11 17:37:51 UTC
Thank you for reporting the bug. Please attach a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO'. Please change it back to 'UNCONFIRMED' once the requested document is provided.
(Please note that the attachment will be public, remove any sensitive information before attaching it)
Comment 2 cmflatscher 2019-01-12 23:59:19 UTC
Created attachment 148278 [details]
Frist Writer file

See comments for more information.
Comment 3 cmflatscher 2019-01-13 00:00:07 UTC
Created attachment 148279 [details]
Second Writer file

See comments for more information.
Comment 4 cmflatscher 2019-01-13 00:00:35 UTC
Created attachment 148280 [details]
First PDF file created

See comments for more information.
Comment 5 cmflatscher 2019-01-13 00:00:59 UTC
Created attachment 148281 [details]
Second PDF file

See comments for more information.
Comment 6 cmflatscher 2019-01-13 00:05:54 UTC
Hi Dieter,

Thank you for picking up this bug.

The files that I have created do not contain anything confidential that requires removing.

I have attached two LibreOffice writer files and the PDF files that I created with LibreOffice writer.

Here are the fonts that I used in the files:

Fira
NotoNaskhArabic-hinted.zip
NotoSansCJKjp-hinted.zip
NotoSansCJKkr-hinted.zip
NotoSansCJKsc-hinted.zip
NotoSansCJKtc-hinted.zip
NotoSansHebrew-hinted.zip
NotoSerif-hinted.zip

At a later stage some more Noto fonts will be added.

I created the PDF files a few minutes ago. What is rather intriguing is the fact that this time round not the Lucida Sans font but ArialUnicodeMS font is included. The Tahoma font is still there.

Please have a look and advise how this can be resolved from my side or if this is a bug from LO Writer.

Thank you.

--Christian
Comment 7 cmflatscher 2019-01-13 00:05:54 UTC Comment hidden (obsolete)
Comment 8 cmflatscher 2019-01-13 00:06:21 UTC
Changing bug to "Unconfirmed".
Comment 9 Dieter Praas 2019-01-17 19:45:34 UTC
I exported the First Writer file and got the following unexpected fonts embedded in the PDF:
Arial
Liberation
LucidaSans
Tahoma

So I change status to NEW, but I think, we can treat it as a duplicate of bug 118541. If you agree, please change status to RESOLVED DUPLICATE.
Comment 10 cmflatscher 2019-01-18 11:16:31 UTC
Thank you, Dieter.

Before I move this matter over to Bug #118541:

Is there a possiblity to correct the .ODT file such that these unwanted fonts are not embedded?

Thanks.

Regards,

--Christian
Comment 11 Dieter Praas 2019-01-18 11:30:46 UTC
(In reply to cmflatscher from comment #10)
> Is there a possiblity to correct the .ODT file such that these unwanted
> fonts are not embedded?

I have no idea.
Comment 12 cmflatscher 2019-01-18 16:49:31 UTC
Thank you, Dieter.

Hope this issue can be resolved soon.

--Christian

*** This bug has been marked as a duplicate of bug 118541 ***